Unsupported OS detected: Raspbian 9

When doing a pihole -up I get the "Unsupported OS detected: Raspbian 9" message. Found a thread about that in fact the OS is outdated. But no explanation about how to proceed. Any chance to do an in-place upgrade to a supported os?

You can try it, but there is not a great success rate. In-place upgrade is not recommended by the Raspbian folks.

Upgrading an existing image is possible, but is not guaranteed to work in every circumstance and we do not recommend it. If you do wish to try upgrading your operating system version, we strongly suggest making a backup first — we can accept no responsibility for loss of data from a failed update.

Prior to doing this, I would export the Pi-hole settings with the teleporter function. Save the teleporter file on your computer somewhere (not the Pi). If your in-place upgrade goes south, then you can flash a fresh OS, reinstall Pi-hole and import your settings.

So what you mean to say is "Install a new pihole image and import the Teleporter backup saves you a lot of time"?

Yes. Unless you have a lot of other software on the Pi that will also have to be individually reinstalled and configured.

Nope, it's just a pihole. Will try, thanks.